/***
*
*	Copyright (c) 1999, Valve LLC. All rights reserved.
*	
*	This product contains software technology licensed from Id 
*	Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc. 
*	All Rights Reserved.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

/*------------------------------------------------------------------------------
*
*	Half-Life JailBreak Revision Log
*
*	$History: game.h $
*       
*       *****************  Version 9  *****************
*       User: Tim Smith    Date: 4/27/99    Time: 10:08a
*       Updated in $/HLJB/dlls
*       Added team based scoring system
*       
*       *****************  Version 8  *****************
*       User: Tim Smith    Date: 4/25/99    Time: 11:01a
*       Updated in $/HLJB/dlls
*       Player can now shoot all weapons underwater based on
*       jail_underwaterfire
*       server variable.
*       
*       *****************  Version 7  *****************
*       User: Tim Smith    Date: 4/23/99    Time: 10:26a
*       Updated in $/HLJB/dlls
*       Added server config variables to the voting system and cleaned up some
*       code.
*       
*       *****************  Version 6  *****************
*       User: Tim Smith    Date: 4/22/99    Time: 9:48p
*       Updated in $/HLJB/dlls
*       Initial version of voting system completed
*       
*       *****************  Version 5  *****************
*       User: Tim Smith    Date: 4/15/99    Time: 4:34p
*       Updated in $/HLJB/dlls
*       Added support for kicking players who fall into jail too much
*       
*       *****************  Version 4  *****************
*       User: Tim Smith    Date: 4/13/99    Time: 7:50p
*       Updated in $/HLJB/dlls
*       Completed basic jail functions including custom executions.
*       Minor modifications to the radio system.
*       
*       *****************  Version 3  *****************
*       User: Tim Smith    Date: 4/11/99    Time: 3:57p
*       Updated in $/HLJB/dlls
*       Radio system has been added.  This includes flood protection.
*       
*       *****************  Version 2  *****************
*       User: Tim Smith    Date: 4/11/99    Time: 11:24a
*       Updated in $/HLJB/dlls
*       Completed initial implementation of the team selection system
*       
*       *****************  Version 1  *****************
*       User: Tim Smith    Date: 4/08/99    Time: 7:10p
*       Created in $/HLJB/dlls
*       
*-----------------------------------------------------------------------------*/

#ifndef GAME_H
#define GAME_H

extern void GameDLLInit( void );


extern cvar_t	displaysoundlist;
extern cvar_t	mapcyclefile;
extern cvar_t	servercfgfile;
extern cvar_t	lservercfgfile;

// multiplayer server rules
extern cvar_t	fraglimit;
extern cvar_t	timelimit;
extern cvar_t	friendlyfire;
extern cvar_t	falldamage;
extern cvar_t	weaponstay;
extern cvar_t	forcerespaw;
extern cvar_t	footsteps;
extern cvar_t	flashlight;
//JAIL+++
//extern cvar_t	aimcrosshair;
//JAIL---
extern cvar_t	decalfrequency;
extern cvar_t	teamlist;
extern cvar_t	teamoverride;
extern cvar_t	teamforce;			//JAIL
extern cvar_t	defaultteam;

//JAIL+++
extern cvar_t	floodmsgs;
extern cvar_t	floodpersecond;
extern cvar_t	floodwaitdelay;
extern cvar_t	releasetime;
extern cvar_t	enablenonteamradio;
extern cvar_t	underwaterfire;
extern cvar_t	scorestyle;
extern cvar_t	falllimit;
extern cvar_t	playeridspeed;
extern cvar_t	votetime;
extern cvar_t	votemap;
//JAIL---

#endif		// GAME_H
